Package com.ads.api.beans.common

# Enum Class APIConstants.sdiFillOptions

java.lang.Object
java.lang.Enum<APIConstants.sdiFillOptions>
com.ads.api.beans.common.APIConstants.sdiFillOptions

All Implemented Interfaces:
  `Serializable`, `Comparable<APIConstants.sdiFillOptions>`, `Constable`

Enclosing class:
  APIConstants

public static enum APIConstants.sdiFillOptions extends Enum<APIConstants.sdiFillOptions>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COLUMN`
  Integer value = 8
  `ENVIRONMENT`
  Integer value = 2
  `NONE`
  Integer value = 0 this is default value
  `SYSTEM`
  Integer value = 1
  `TABLE`
  Integer value = 4

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static APIConstants.sdiFillOptions`
  `getOption(int value)`
  `int`
  `toInt()`
  `static APIConstants.sdiFillOptions`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static APIConstants.sdiFillOptions[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final APIConstants.sdiFillOptions NONE
    Integer value = 0 this is default value

  - ### SYSTEM

    public static final APIConstants.sdiFillOptions SYSTEM
    Integer value = 1

  - ### ENVIRONMENT

    public static final APIConstants.sdiFillOptions ENVIRONMENT
    Integer value = 2

  - ### TABLE

    public static final APIConstants.sdiFillOptions TABLE
    Integer value = 4

  - ### COLUMN

    public static final APIConstants.sdiFillOptions COLUMN
    Integer value = 8

- ## Method Details

  - ### values

    public static APIConstants.sdiFillOptions[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static APIConstants.sdiFillOptions valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getOption

    public static APIConstants.sdiFillOptions getOption(int value)
    Parameters:
      `value` -
    Returns:
      this will return sdiFillOptions object for the integer value passed if that is matched else NONE option will be returned

  - ### toInt

    public int toInt()